# Interface TreeWillExpandListener

All Superinterfaces:
  `EventListener`

public interface TreeWillExpandListener extends EventListener
The listener that's notified when a tree expands or collapses a node. For further information and examples see How to Write a Tree-Will-Expand Listener, a section in The Java Tutorial.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `treeWillCollapse(TreeExpansionEvent event)`
  Invoked whenever a node in the tree is about to be collapsed.
  `void`
  `treeWillExpand(TreeExpansionEvent event)`
  Invoked whenever a node in the tree is about to be expanded.

- ## Method Details

  - ### treeWillExpand

    void treeWillExpand(TreeExpansionEvent event) throws ExpandVetoException
    Invoked whenever a node in the tree is about to be expanded.
    Parameters:
      `event` - a `TreeExpansionEvent` containing a `TreePath` object for the node
    Throws:
      `ExpandVetoException` - to signify expansion has been canceled

  - ### treeWillCollapse

    void treeWillCollapse(TreeExpansionEvent event) throws ExpandVetoException
    Invoked whenever a node in the tree is about to be collapsed.
    Parameters:
      `event` - a `TreeExpansionEvent` containing a `TreePath` object for the node
    Throws:
      `ExpandVetoException` - to signify collapse has been canceled